<template>
  <router-view />
</template>

<script setup>
import { useAuthStore } from './stores/auth';

defineOptions({
  preFetch() 
  {
    const authStore = useAuthStore();
    return authStore.checkAuthStatus();
  }
});
</script>
